body {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

/* 导航栏样式 */
.navbar {
    background-color: #D9C7B0 ;
}

.navbar-nav {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    width: 100%;
}
.nav-link {
    margin: 0 1rem;
    color: white;
}

/* 主视觉部分样式 */
.hero-section {
    position: relative;
    height: 500px; /* 固定高度，可根据需要调整 */
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    text-align: center;
    overflow: hidden;
}

.hero-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 1;
}

.hero-content {
    position: relative;
    z-index: 2;
}

.hero-content h1 {
    font-size: 3rem;
    margin-bottom: 1rem;
}

.hero-content p {
    font-size: 1.5rem;
    margin-bottom: 2rem;
}

/* 内容部分样式 */
.container{
    background-color: #F9E7D2;
    padding: 0;
    max-width: 100%;
}

.content-container {
    flex: 1;
    padding: 0;
    display: flex;
    flex-direction: column;
}

.content-section {
    flex: 1;
    display: none;
    padding: 1.5rem 0;
}

.content-section.active {
    display: block;
}

/*home 样式*/
#map {
    height: calc(100vh - 56px - 300px - 100px);
    width: 90%;
    margin-left: 5%;
    margin-right: 5%;
}

.modal {
    --bs-modal-width: calc(90vw);
}

#beforeLogin{
    display: block;
}

#loginInfo{
    display: none;
}






    /* 响应式调整 */
@media (max-width: 768px) {
    .hero-content h1 {
        font-size: 2rem;
    }

    .hero-content p {
        font-size: 1.2rem;
    }

    .hero-section {
        height: 400px; /* 在小屏幕上调整高度 */
    }
}

@media (max-width: 576px) {
    .hero-content h1 {
        font-size: 1.5rem;
    }

    .hero-content p {
        font-size: 1rem;
    }

    .hero-section {
        height: 300px; /* 在超小屏幕上调整高度 */
    }
}